#!/bin/sh
#
# %% %%


# Compute an absolute pathname here because Class.getResource()
# fails if $CLASSPATH contains "../".
ABLE_HOME=`(cd ../; pwd)`
ABLE_JARS=${ABLE_HOME}/lib/able.jar:${ABLE_HOME}/lib/ableplatform.jar:${ABLE_HOME}/lib/amabLogic.jar:${ABLE_HOME}/lib/jas.jar:${ABLE_HOME}/lib/JLog.jar

ABLE_CLASSES=.:${ABLE_JARS}
if [ -z "$CLASSPATH" ] ; then
    CLASSPATH="${ABLE_CLASSES}"
else
    CLASSPATH="${ABLE_CLASSES}:$CLASSPATH"
fi

CMD="${JAVA_HOME}/bin/java  -Dable.home=${ABLE_HOME}  -Dable.prefdir=${ABLE_HOME}/..  -classpath ${CLASSPATH}  com.ibm.able.platform.AblePlatformSupportImpl $1"

echo ${CMD}
${CMD}

